package renderer

import "net/http"

func (renderer *Renderer) AuthGroups(w http.ResponseWriter, r *http.Request, groups []any) {
	files := renderer.ThemeConfig.GetStringSlice("views.auth.groups.files")
	state := NewState(r, renderer.ThemeConfig, "")
	state.ViewState = map[string]any{
		"groups": groups,
	}

	renderer.RenderNoLayout("groups switch", w, r, files, state)
}

func (renderer *Renderer) AuthOnboarding(w http.ResponseWriter, r *http.Request, key string, onboarding any) {
	files := renderer.ThemeConfig.GetStringSlice("views.auth.onboarding.files")
	state := NewState(r, renderer.ThemeConfig, "")
	state.ViewState = map[string]any{
		"key":        key,
		"onboarding": onboarding,
	}

	renderer.RenderNoLayout("onboarding", w, r, files, state)
}
